
angular.module('core.responseHandlerService', ['popup.serverMessage'])

.factory('responseHandlerService', ['$rootScope', 'popupServerMessageService',
		function($rootScope, popupServerMessageService) {
	return {
		handleResponse : function(data, messageHandler) {
			console.log("---- RESPONSE");
			console.log(data);
			if (data.data == null) {
				data.data = {messageList : ["Impossible de lire la réponse du serveur."]}
			}
			
			if (messageHandler === null || messageHandler === undefined) {
				popupServerMessageService.setCodeAndText(data.status, data.data.messageList);
			}
			else if (messageHandler === false) {
			}
			else {
				messageHandler.setCodeAndText(data.status, data.data.messageList);
			}
		}
	};
}]);
