
angular.module('page.modifyEvent')

.controller('pageModifyEventController', ['$scope', '$state', '$location', 'eventService', 'userAccountService',
		function($scope, $state, $location, eventService, userAccountService){


	$scope.init = function() {

		$scope.connected = userAccountService.isConnected();
		$scope.eventLoaded = false;

		if ($scope.connected) {
			eventService.getDetails($state.params.pk)
			.then(function(data) {
				$scope.event = data.model;
				$scope.eventLoaded = true;
			});
		}
	};
	$scope.init();

	$scope.validateTransaction = function(event) {
		eventService.put(event.pk, event).then(function(data) {
			$location.path('/nextEvents');
		}, function(data) {
			console.log(data);
		});
	}
}]);
