
angular.module('page.profile')

.controller('pageProfileController', [		'$scope',
											'$location',
											'$state',
											'userAccountService',
										function($scope,
												$location,
												$state,
												userAccountService) {

	$scope.init = function() {
		if(!userAccountService.isConnected()){
			$state.go("addEvent");
		}
		else if ($state.params.pk == userAccountService.userAccount.pk) {
			userAccountService.getUserAccountOwnDetails()
			.then(function(data) {
				$scope.userAccount = data.model;
				$scope.userAccountLoaded = true;
			});
		}
		else {
			userAccountService.getUserAccountDetails($state.params.pk)
			.then(function(data) {
				$scope.userAccount = data.model;
				$scope.userAccountLoaded = true;
			});
		}
	};
	$scope.init();
}]);
