
angular.module('popup.confirmation')

.factory('popupConfirmationService', ['$rootScope', '$timeout', '$uibModal',
		function($rootScope, $timeout, $uibModal) {
	
	return {
		openPopup : function(confirmationQuestion, confirmationCallback) {
			var popup = $uibModal.open({
				animation: true,
				templateUrl: 'popup.confirmation/view.html',
				controller: 'popupConfirmationController',
				controllerAs: 'popupConfirmationController',
				resolve: {
					confirmationQuestion : function () {
						return confirmationQuestion;
					},
					confirmationCallback : function() {
						return confirmationCallback;
					}
				}
			});
		},
	};
}]);
