angular.module('ui.component.timePicker')

.controller('uiComponentTimePickerController', ['$scope', function($scope) {

	$scope.minutesUp = function() {
		$scope.target.minutes++;
		if ($scope.target.minutes > 59) {
			$scope.target.minutes = 0;
			$scope.hoursUp();
		}
		$scope.onChange();
	}

	$scope.minutesDown = function() {
		$scope.target.minutes--;
		if ($scope.target.minutes < 0) {
			$scope.target.minutes = 59;
			$scope.hoursDown();
		}
		$scope.onChange();
	}

	$scope.hoursUp = function() {
		$scope.target.hours++;
		if ($scope.target.hours > 23) {
			$scope.target.hours = 23;
		}
		$scope.onChange();
	}

	$scope.hoursDown = function() {
		$scope.target.hours--;
		if ($scope.target.hours < 0) {
			$scope.target.hours = 0;
		}
		$scope.onChange();
	}
}]);