
angular.module('ui.form.registration')

.controller('uiFormRegistrationController', ['$scope',
												'$location',
												'registrationService',
												'popupCguService',
												function($scope,
														$location,
														registrationService,
														popupCguService) {
	$scope.init = function() {

			var curDate = new Date();
            $scope.dateBeginning = {
                year : curDate.getFullYear(),
                month : curDate.getMonth(),
                day : curDate.getDate()
            };

	};
	$scope.init();

	$scope.login = {};

	$scope.doRegistration = function() {
		registrationService.register(
				$scope.login

		).then(function(data) {
				$location.path('/home');
			},
			function(data) {
			});
	};

	$scope.updateDateBeginning = function() {
		if ($scope.dateBeginning != null && $scope.dateBeginning != undefined) {
            $scope.login.birthdate = new Date(
                $scope.dateBeginning.year,
                $scope.dateBeginning.month,
                $scope.dateBeginning.day);
		}
	};

	$scope.openCguPopup = function() {
		popupCguService.openPopup();
	};
}]);
