
angular.module('ui.item.event')

.controller('uiItemEventController', ['$scope',
		'$location',
		'$cordovaGeolocation',
		'$state',
		'pageEventDetailsService',
		'geolocalizationService',
		function($scope, $location, $cordovaGeolocation, $state, pageEventDetailsService, geolocalizationService) {
	
	$scope.goToEventSimplePage = function() {
		pageEventDetailsService.setEntryEvent($scope.event);
		// $location.path("#/event/" + event.pk);
		$state.go("eventDetails", {"pk" : $scope.event.pk});
	};

	$scope.init = function() {
		//Récupérer l'adresse de l'utilisateur 
        var posOptions = {timeout: 10000, enableHighAccuracy: false};
        $cordovaGeolocation
         .getCurrentPosition(posOptions)
         .then(function (position) {
           var lat  = position.coords.latitude
           var longi = position.coords.longitude
		    $scope.distance = geolocalizationService.distance(lat, longi, $scope.event.latitude, $scope.event.longitude)
           }, function(err) {
          // error
            });  
	};

	$scope.init();
	
}]);
