
angular.module('ui.item.eventList')

.controller('uiItemEventListController', ['$scope',
		function($scope) {
	
	$scope.init = function() {

		$scope.dayEventListMap = {};

		for (eventId in $scope.eventList) {
			var dateEvent = new Date($scope.eventList[eventId].dateBeginning);
			var dateFormated = Date.parse(dateEvent.getFullYear() + "-" + (dateEvent.getMonth() + 1) + "-" + dateEvent.getDate());

			if ($scope.dayEventListMap[dateFormated] != null && $scope.dayEventListMap[dateFormated] != undefined) {
				$scope.dayEventListMap[dateFormated].push($scope.eventList[eventId]);
			}
			else {
				$scope.dayEventListMap[dateFormated] = [];
				$scope.dayEventListMap[dateFormated].push($scope.eventList[eventId]);
			}
		}
		
		var dateToday = new Date();
		$scope.dateTodayFormated = Date.parse(dateToday.getFullYear() + "-" + (dateToday.getMonth() + 1) + "-" + dateToday.getDate());

	}
	$scope.init();
}]);
