
angular.module('ui.item.userAccount')

.controller('uiItemUserAccountController', ['$scope',
		'$location',
		'$state',
        'takePartService',
		function($scope, $location, $state, takePartService) {
	
	$scope.goToProfile = function() {
		$location.path('/profile/' + $scope.userAccount.pk);
	}

	$scope.acceptFriend = function(pkSelected) {
        userAccountService.acceptFriend(
                $scope.friend.pk,
                function(data) {
                    console.log(data);
                },
                function(data) {
                    console.log(data);
                });
    };

    $scope.refuseFriend = function(pkSelected) {
        userAccountService.refuseFriend(
                $scope.pkProfileToDisplay,
                function(data) {
                    console.log(data);
                },
                function(data) {
                    console.log(data);
                });
    };

    $scope.acceptParticipant = function(eventPk, participantPk) {
        var takePart = {
            "event" : {"pk" : eventPk},
            "userAccount" : {"pk" : participantPk}
        };
        takePartService.acceptParticipant(takePart)
            .then(function() {}, function() {});
    };

    $scope.rejectParticipant = function(eventPk, participantPk) {
        var takePart = {
            "event" : {"pk" : eventPk},
            "userAccount" : {"pk" : participantPk}
        };
        takePartService.rejectParticipant(takePart)
            .then(function() {}, function() {});
    };
}]);
