
angular.module('page.nextEvents')

.controller('pageNextEventsController', ['$scope', 'eventService', 'userAccountService',
		function($scope, eventService, userAccountService){
	
	$scope.eventListLoaded = false;
	$scope.init = function() {

		$scope.connected = userAccountService.isConnected();
		$scope.listToDisplay = "FUTURE";

		if ($scope.connected) {
			eventService.getMyEventList()
			.then(function(data) {

				$scope.eventListPast = [];
				$scope.eventListFuture = [];

				var eventList = data.model;

				var now = (new Date()).getTime();

				for (i in eventList) {
					if (eventList[i].dateBeginning > now) {
						$scope.eventListFuture.push(eventList[i]);
					}
					else {
						$scope.eventListPast.push(eventList[i]);
					}
				}
				$scope.eventListLoaded = true;
			}, function(data) {
			});
		}
	};
	$scope.init();


	$scope.curTab = "futur";
	$scope.setCurTab = function(curTab) {
		$scope.curTab = curTab;
	};
}]);