
angular.module('rest.loginService', [ 'core.csrfRequestService', 'rest.userAccountService' ])

.factory('loginService', [ '$rootScope', '$state', '$stateParams', 'csrfRequestService', 'userAccountService',
		function($rootScope, $state, $stateParams, csrfRequestService, userAccountService) {
	return {
		login : function(login, messageSuccessHandler, messageErrorHandler) {
			return csrfRequestService.post(
					'rest/public/login/',
					login,
					 messageSuccessHandler, messageErrorHandler).then(function(data) {
					userAccountService.userAccount = data.model;
					// TODO : trouver une autre solution avec le router
					//$route.reload();
					// $state.transitionTo($state.current, $stateParams, { reload: true, inherit: true, notify: true });
					console.log("event loggedIn");
					$rootScope.$broadcast('loggedIn', data);
				},function(data){
                 //TODO Amine  : à remplir en cas d'echec
				});
		},
		logout : function(messageSuccessHandler, messageErrorHandler) {
			return csrfRequestService.get(
					'rest/private/logout/',
					null, messageSuccessHandler, messageErrorHandler).then(function(data) {
					userAccountService.userAccount = null;
					// TODO : trouver une autre solution avec le router
					//$route.reload();
					$state.transitionTo($state.current, $stateParams, { reload: true, inherit: true, notify: true });
					console.log("event loggedOut");
					$rootScope.$broadcast('loggedOut', data);

				},function(data){

				});
		}
	};
}]);

