'use strict';

angular.module('rest.partnerEventService', ['core.csrfRequestService'])

.factory('partnerEventService', ['csrfRequestService', function(csrfRequestService) {
	
	return {
		getPartnerByCategory : function(category, messageSuccessHandler, messageErrorHandler) {
			return csrfRequestService.get('rest/public/partnerEvent/forCategory',
					{category : category},
					 messageSuccessHandler, messageErrorHandler);
		}
	};
}]);
