angular.module('ui.component.datePicker')

.controller('uiComponentDatePickerController', ['$scope', function($scope) {

	$scope.init = function() {
		this.date = new Date($scope.target.year, $scope.target.month, $scope.target.day, 0, 0, 0, 0);
	}
	$scope.init();

	$scope.monthTab = ["Janvier", "Février", "Mars", "Avril", "Mai", "Juin", "Juillet", "Août", "Septembre", "Octobre", "Novembre", "Décembre"];

	$scope.dayUp = function() {
		this.date = new Date(this.date.getFullYear(), this.date.getMonth(), this.date.getDate() + 1, 0, 0, 0, 0);
		$scope.target.year = this.date.getFullYear();
		$scope.target.month = this.date.getMonth();
		$scope.target.day = this.date.getDate();
		$scope.onChange();
	}

	$scope.dayDown = function() {
		this.date = new Date(this.date.getFullYear(), this.date.getMonth(), this.date.getDate() - 1, 0, 0, 0, 0);
		$scope.target.year = this.date.getFullYear();
		$scope.target.month = this.date.getMonth();
		$scope.target.day = this.date.getDate();
		$scope.onChange();
	}

	$scope.monthUp = function() {
		this.date = new Date(this.date.getFullYear(), this.date.getMonth() + 1, this.date.getDate(), 0, 0, 0, 0);
		$scope.target.year = this.date.getFullYear();
		$scope.target.month = this.date.getMonth();
		$scope.target.day = this.date.getDate();
		$scope.onChange();
	}

	$scope.monthDown = function() {
		this.date = new Date(this.date.getFullYear(), this.date.getMonth() - 1, this.date.getDate(), 0, 0, 0, 0);
		$scope.target.year = this.date.getFullYear();
		$scope.target.month = this.date.getMonth();
		$scope.target.day = this.date.getDate();
		$scope.onChange();
	}

	$scope.yearUp = function() {
		this.date = new Date(this.date.getFullYear() + 1, this.date.getMonth(), this.date.getDate(), 0, 0, 0, 0);
		$scope.target.year = this.date.getFullYear();
		$scope.target.month = this.date.getMonth();
		$scope.target.day = this.date.getDate();
		$scope.onChange();
	}

	$scope.yearDown = function() {
		this.date = new Date(this.date.getFullYear() - 1, this.date.getMonth(), this.date.getDate(), 0, 0, 0, 0);
		$scope.target.year = this.date.getFullYear();
		$scope.target.month = this.date.getMonth();
		$scope.target.day = this.date.getDate();
		$scope.onChange();
	}
}]);