
angular.module('ui.form.profile')

.controller('uiFormProfileController', ['$scope',
										'$location',
										'$cordovaGeolocation',
										'$http',
										'$cordovaCamera',
										'userAccountService',
										'eventService',
										'$state',
										'$stateParams',
										'csrfStrongholdService',
										'userAccountPhotoService',
										function($scope,
												$location,
												$cordovaGeolocation,
												$http,
												$cordovaCamera,
												userAccountService,
												eventService,
												$state,
												$stateParams,
												csrfStrongholdService,
												userAccountPhotoService) {
	$scope.model = {};
	$scope.friendsList = [];
	$scope.listeInvitationsAmis = [];
	$scope.eventList = [];

	$scope.stompClient;

	$scope.pkProfileToDisplay;


	$scope.init = function() {
		$scope.showInput = false;
		$scope.connected = userAccountService.isConnected();
		// Connection à une queu ********* POC de NOTIFICATION *************
		var url = "http://127.0.0.1:8081/web/web/hello";
		var ws = new SockJS(url);
		$scope.stompClient = Stomp.over(ws);

		//var headers = csrfStrongHoldService.getMultipartHeaders();
	   /* var headers = csrfStrongholdService.token;
		headers["_csrf"] = headers["X-CSRF-TOKEN"]*/

		 var headers = csrfStrongholdService.getPushHeader();
	 
	  $scope.stompClient.connect(headers, function(frame) {
			//setConnected(true);
			console.log('Connected: ' + frame);
//          console.log(stompClient.subscribe('/topic/greetings', function(greeting) {
//              showGreeting(JSON.parse(greeting.body).content);
//          }));

			//stompClient.send("/app/hello", {}, "HELLO Ahmed, I'm Farfara, 'i'm the virtual you -_- !"));
			console.log($scope.stompClient.subscribe('/user/queue/reply', function(greeting) {
				console.log(JSON.parse(greeting.body).content)
				//showGreeting(JSON.parse(greeting.body).content);
			}));
			console.log($scope.stompClient.subscribe('/user/topic/reply', function(greeting) { //TODO : look if it's deprecated !
				showGreeting(JSON.parse(greeting.body).content);
			}));
			console.log($scope.stompClient.subscribe('/queue/reply', function(greeting) { //TODO : look if it's deprecated !
				showGreeting(JSON.parse(greeting.body).content);
			}));
			console.log($scope.stompClient.subscribe('/topic/reply', function(greeting) { //TODO : look if it's deprecated !
				showGreeting(JSON.parse(greeting.body).content);
			}));
		}, function(error){
			console.log(error);
		});
	};

	$scope.changePassWord = function(){
	  var userToUpdate = {};
	  userToUpdate.oldPassword = "hussein1987"
	  userToUpdate.newPassword = "ajoudi1987"

	  userAccountService.changePassWord($scope.model)
	 .then(function(data) {}, function(data) {});
	};

	$scope.showInputNewPW = function(){
		$scope.showInput = true;
	};

	$scope.hideInputNewPW = function(){
		$scope.showInput = false;
	};

	$scope.init();

	
	if($scope.userAccount.permissions.indexOf('put') > -1){
		$scope.curTab = "friendList";
					
	}else{
		$scope.curTab = "Evenements"; 
	}

	$scope.setCurTab = function(curTab) {
		$scope.curTab = curTab;
	};

	$scope.addAsFriend = function() {

		userAccountService.addFriend(
				$scope.userAccount.pk)
		.then(
		function(data) {
			console.log(data);
			// if AddAsFriend is success
			console.log($scope.stompClient.send("/app/hello", {}, JSON.stringify({
			'name' : "ADD_FRIEND"})));
			//$scope.stompClient.send("/app/hello", {}, "ADD_FRIEND");

			try{
				$state.transitionTo($state.current, $stateParams, { reload: true, inherit: true, notify: true });    
			}catch(e){
				console.log(e);
			}
		},
		function(data) {
			console.log(data);
		});
	};

	$scope.uploadUserAccountPhoto = function() {

		userAccountPhotoService.uploadUserAccountPhotoWrapper("image/jpeg", $scope.imageData)
		.then(function(){}, function(){});
	};

	$scope.takeAPicture = function() {
		$scope.getAPicture(Camera.PictureSourceType.FILE_URL);
	};

	$scope.chooseAPicture = function() {
		$scope.getAPicture(Camera.PictureSourceType.PHOTOLIBRARY);
	};

	$scope.getAPicture = function(sourceType) {
		var options = {
		  quality: 50,
		  destinationType: Camera.DestinationType.FILE_URL,
		  sourceType: sourceType,
		  allowEdit: true,
		  encodingType: Camera.EncodingType.JPEG,
		  targetWidth: 400,
		  targetHeight: 400,
		  popoverOptions: CameraPopoverOptions,
		  saveToPhotoAlbum: false,
		  correctOrientation:true
		};

		$cordovaCamera.getPicture(options).then(function(imageData) {
		  var image = document.getElementById('userAccountPhotoToUpload');
		  image.src = imageData;
		  $scope.imageData = imageData;
		}, function(err) {
		});
	};

	$scope.acceptFriend = function() {

		userAccountService.acceptFriend(
				$scope.userAccount.pk).then(
				function(data) {
					try{
						$state.transitionTo($state.current, $stateParams, { reload: true, inherit: true, notify: true });    
					}catch(e){

					}
					
					console.log(data);
				},
				function(data) {
					console.log(data);
				});
	};

	$scope.refuseFriend = function() {

		userAccountService.refuseFriend(
				$scope.userAccount.pk).then(
				function(data) {
					try{
						$state.transitionTo($state.current, $stateParams, { reload: true, inherit: true, notify: true });    
					}catch(e){
						console.log(e);
					}
					console.log(data);
				},
				function(data) {
					console.log(data);
				});
	};

	$scope.cancelClaim = function() {

		userAccountService.cancelClaim($scope.userAccount.pk)
		.then(
		function(data) {
			try{
				$state.transitionTo($state.current, $stateParams, { reload: true, inherit: true, notify: true });    
			}catch(e){
				console.log(e);
			}
			console.log(data);
		},
		function(data) {
			console.log(data);
		});
	};

	$scope.deleteFriend = function() {

		userAccountService.deleteFriend($scope.userAccount.pk)
		.then(
		function(data) {
			try{
				$state.transitionTo($state.current, $stateParams, { reload: true, inherit: true, notify: true });    
			}catch(e){
				console.log(e);
			}
			console.log(data);
		},
		function(data) {
			console.log(data);
		});
	};

	$scope.openLightboxPhoto = function() {
		document.getElementById('profil-picture-edit-popup').style.display='block';
		document.getElementById('profil-picture-edit-fade').style.display='block';
	};

	$scope.closeLightboxPhoto = function() {
		document.getElementById('profil-picture-edit-popup').style.display='none';
		document.getElementById('profil-picture-edit-fade').style.display='none';
	};

	 $scope.uploadUserAccountPhoto = function() {

		userAccountPhotoService.uploadUserAccountPhotoWrapper("image/jpeg", $scope.imageData)
		.then(function(){}, function(){});
	};

	$scope.takeAPicture = function() {
		$scope.getAPicture(Camera.PictureSourceType.CAMERA);
	};

	$scope.chooseAPicture = function() {
		$scope.getAPicture(Camera.PictureSourceType.SAVEDPHOTOALBUM);
	};

	$scope.getAPicture = function(sourceType) {
		var options = {
		  quality: 50,
		  destinationType: Camera.DestinationType.FILE_URI,
		  sourceType: sourceType,
		  allowEdit: true,
		  encodingType: Camera.EncodingType.JPEG,
		  targetWidth: 400,
		  targetHeight: 400,
		  popoverOptions: CameraPopoverOptions,
		  saveToPhotoAlbum: false,
		  correctOrientation:true
		};

		// cameraExport.getPicture(function(imageData) {
		//   var image = document.getElementById('userAccountPhotoToUpload');
		//   image.src = imageData;
		//   $scope.imageData = imageData;
		// }, function(err) {
		// }, options);

		$cordovaCamera.getPicture(options).then(function(imageData) {
		  var image = document.getElementById('userAccountPhotoToUpload');
		  image.src = imageData;
		  $scope.imageData = imageData;
		}, function(err) {
		});
	};

	function showGreeting(message) {
		var response = document.getElementById('response');
		var p = document.createElement('p');
		p.style.wordWrap = 'break-word';
		p.appendChild(document.createTextNode(message));
		response.appendChild(p);
	}
	
}]);
