
angular.module('ui.mainComponent.titleBarSmall')

.controller('uiMainComponentTitleBarControllerSmall', ['$scope',
		'userAccountService', 'loginService',
		function($scope, userAccountService, loginService) {

	$scope.reloadConnected = function() {
		$scope.connected = userAccountService.isConnected();
	};

	$scope.init = function() {
		$scope.reloadConnected();
	};
	$scope.init();

	$scope.$on('loggedIn', function(event, data) {
		$scope.reloadConnected();
	});

	$scope.$on('loggedOut', function(event, data) {
		$scope.reloadConnected();
	});

	$scope.logout = function() {
		loginService.logout().then(function(data) {

		}, function(data) {
		});
	};
}]);
