angular.module('ui.transact.event')

    .controller('uiTransactEventController', ['$scope',
        '$location',
        'userAccountService',
        'eventService',
        function ($scope,
                  $location,
                  userAccountService,
                  eventService) {

            $scope.nav = {};

            $scope.init = function () {
                $scope.connected = userAccountService.isConnected();

                $scope.progressBarCurrent = 0;
                if ($scope.showIdeeForm == true) {
                    $scope.progressBarMax = 5;
                } else {
                    $scope.progressBarMax = 4;
                }
            };
            $scope.init();

            var model = {};

            if ($scope.event != null) {
                model = $scope.event;
            }

            $scope.model = model;

            $scope.goNextTo = function(target) {
                $scope.currentBreadcrumb = target;
                $scope.progressBarCurrent++;
            }

            $scope.goBackTo = function(target) {
                $scope.currentBreadcrumb = target;
                $scope.progressBarCurrent--;
            }

            $scope.goNextTo("category");

            $scope.goNextToPartnerForm = function () {
                if ($scope.showIdeeForm == true) {
                    $scope.currentBreadcrumb = "partner";
                    $scope.progressBarCurrent++;
                }
                else {
                    $scope.goNextTo("where");
                }
            }

            $scope.goBackToPartnerForm = function() {
                if ($scope.showIdeeForm == true) {
                    $scope.currentBreadcrumb = "partner";
                    $scope.progressBarCurrent--;
                }
                else {
                    $scope.goBackTo("category");
                }
            }

            $scope.validateTransaction = function () {
                $scope.validationFunction({event: model});
            };

        }]);
